Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.nosql.appender
Class NoSqlDatabaseManager<W>

    java.lang.Object
      org.apache.logging.log4j.core.appender.AbstractManager
          org.apache.logging.log4j.core.appender.db.AbstractDatabaseManager
              org.apache.logging.log4j.nosql.appender.NoSqlDatabaseManager<W>

Type Parameters:
  `W` - A type parameter for reassuring the compiler that all operations are using the same `NoSqlObject`.

All Implemented Interfaces:
  Flushable

    public final class NoSqlDatabaseManager<W>

extends org.apache.logging.log4j.core.appender.db.AbstractDatabaseManager

An `AbstractDatabaseManager` implementation for all NoSQL databases.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.logging.log4j.core.appender.db.AbstractDatabaseManager
`org.apache.logging.log4j.core.appender.db.AbstractDatabaseManager.AbstractFactoryData`

Field Summary

Fields inherited from class org.apache.logging.log4j.core.appender.AbstractManager
`count, LOGGER`

Method Summary
`protected void` | `commitAndClose()`
`protected void` | `connectAndStart()`
`static NoSqlDatabaseManager<?>` | `getNoSqlDatabaseManager(String name, int bufferSize, NoSqlProvider<?> provider)` Creates a NoSQL manager for use within the `NoSqlAppender`, or returns a suitable one if it already exists.
`protected void` | `shutdownInternal()`
`protected void` | `startupInternal()`
`protected void` | `writeInternal(org.apache.logging.log4j.core.LogEvent event)`

Methods inherited from class org.apache.logging.log4j.core.appender.db.AbstractDatabaseManager
`flush, getManager, isRunning, releaseSub, shutdown, startup, toString, write`

Methods inherited from class org.apache.logging.log4j.core.appender.AbstractManager
`getContentFormat, getCount, getName, hasManager, release`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### startupInternal

    protected void startupInternal()

  Specified by:
    `startupInternal` in class `org.apache.logging.log4j.core.appender.db.AbstractDatabaseManager`

### shutdownInternal

    protected void shutdownInternal()

  Specified by:
    `shutdownInternal` in class `org.apache.logging.log4j.core.appender.db.AbstractDatabaseManager`

### connectAndStart

    protected void connectAndStart()

  Specified by:
    `connectAndStart` in class `org.apache.logging.log4j.core.appender.db.AbstractDatabaseManager`

### writeInternal

    protected void writeInternal(org.apache.logging.log4j.core.LogEvent event)

  Specified by:
    `writeInternal` in class `org.apache.logging.log4j.core.appender.db.AbstractDatabaseManager`

### commitAndClose

    protected void commitAndClose()

  Specified by:
    `commitAndClose` in class `org.apache.logging.log4j.core.appender.db.AbstractDatabaseManager`

### getNoSqlDatabaseManager

    public static NoSqlDatabaseManager<?> getNoSqlDatabaseManager(String name,
                                                                  int bufferSize,
                                                                  NoSqlProvider<?> provider)

  Creates a NoSQL manager for use within the `NoSqlAppender`, or returns a suitable one if it already exists.

  Parameters:
    `name` - The name of the manager, which should include connection details and hashed passwords where possible.
    `bufferSize` - The size of the log event buffer.
    `provider` - A provider instance which will be used to obtain connections to the chosen NoSQL database.
  Returns:
    a new or existing NoSQL manager as applicable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.